aboutsummaryrefslogtreecommitdiffstats
path: root/compose/production/django/celery/flower
diff options
context:
space:
mode:
authorMatthew Lemon <y@yulqen.org>2024-05-13 17:26:25 +0100
committerMatthew Lemon <y@yulqen.org>2024-05-13 17:26:25 +0100
commitefbbd480ddc62e695123d31c31d233b0df5155bd (patch)
treebc2fb465edd5050d83c97f280b1aac8e023fe3e5 /compose/production/django/celery/flower
After first pre-commit processing
Diffstat (limited to 'compose/production/django/celery/flower')
-rw-r--r--compose/production/django/celery/flower/start11
1 files changed, 11 insertions, 0 deletions
diff --git a/compose/production/django/celery/flower/start b/compose/production/django/celery/flower/start
new file mode 100644
index 0000000..4180d67
--- /dev/null
+++ b/compose/production/django/celery/flower/start
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -o errexit
+set -o nounset
+
+
+exec celery \
+ -A config.celery_app \
+ -b "${CELERY_BROKER_URL}" \
+ flower \
+ --basic_auth="${CELERY_FLOWER_USER}:${CELERY_FLOWER_PASSWORD}"